export interface Zone {
  id: number;
  name: string;
  imagePath?: string;
  lastMowedDate: string;
  intervalDays: number;
  area: number;
  createdAt: string;
  daysSinceLastMow: number;
  daysUntilNext: number;
  status: 'ok' | 'due' | 'overdue';
  isOverdue: boolean;
  isDueToday: boolean;
}

export interface ZoneFormData {
  name: string;
  intervalDays: number;
  lastMowedDate: string;
  area: number;
  image?: File;
}